Skip to main content
GET
/
v1
/
email-servers
curl -X GET https://api.telzino.com/v1/email-servers \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Test",
      "type": "smtp",
      "is_default": true,
      "smtp_host": "smtp.gmail.com",
      "smtp_port": 587,
      "smtp_from_email": "[email protected]",
      "smtp_from_name": "AI Agent",
      "sendgrid_from_email": null,
      "sendgrid_from_name": null,
      "created_at": "2026-01-10T09:00:00Z",
      "updated_at": "2026-01-10T09:00:00Z"
    }
  ]
}

Overview

Use this endpoint to retrieve the id values needed for the emailServerId field when creating or updating agents. Sensitive fields (SMTP passwords, SendGrid API keys) are never returned.
curl -X GET https://api.telzino.com/v1/email-servers \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Test",
      "type": "smtp",
      "is_default": true,
      "smtp_host": "smtp.gmail.com",
      "smtp_port": 587,
      "smtp_from_email": "[email protected]",
      "smtp_from_name": "AI Agent",
      "sendgrid_from_email": null,
      "sendgrid_from_name": null,
      "created_at": "2026-01-10T09:00:00Z",
      "updated_at": "2026-01-10T09:00:00Z"
    }
  ]
}

Response Fields

FieldTypeDescription
idstring (UUID)Use this as emailServerId when creating or updating an agent
namestringDisplay name of the email server
typestringsmtp or sendgrid
is_defaultbooleanWhether this is the account’s default server (used when emailServerId is omitted or null)
smtp_hoststring | nullSMTP hostname (SMTP servers only)
smtp_portnumber | nullSMTP port (SMTP servers only)
smtp_from_emailstring | nullFrom email address (SMTP servers only)
smtp_from_namestring | nullFrom name (SMTP servers only)
sendgrid_from_emailstring | nullFrom email address (SendGrid servers only)
sendgrid_from_namestring | nullFrom name (SendGrid servers only)